KGDB_SKIPEXCEPTION(9)

NAME
kgdb_skipexception - (optional) exit kgdb_handle_exception early

SYNOPSIS

int kgdb_skipexception(int exception, struct pt_regs * regs);

ARGUMENTS

exception
    Exception vector number

regs
    Current struct pt_regs.

DESCRIPTION

On some architectures it is required to skip a breakpoint exception when it occurs after a breakpoint has been removed. This can be implemented in the architecture specific portion of kgdb.

AUTHOR

Jason Wessel <jason.wessel@windriver.com>
    Author.

COPYRIGHT